Subject: bug#2439: 23.0.60; [patch] `Mark set' clobbers useful message in ibuffer

From: Geoff Gole <[email-masked]>
Date: Thu, 26 Feb 2009 14:00:43 +0900

> Thanks for your patch, but please try to avoid hardcoding "1" as above.
> Just use (point-min) instead.

Good point. I took a peek at the source of goto-line to see if it did
anything that I'd need to replicate, and grabbed the line from there
without thinking.

Should goto-line also use (point-min)?

> I don't think narrowing the ibuffer buffer and then sorting is
> a common enough operation to worry about it.

I didn't bother with handling restrictions, as they don't seem to be
respected by ibuffer. Narrowed ibuffer buffers will either behave
strangely or simply clobber the restriction.

Perhaps I should have mentioned that in a comment or when submitting the patch.